#!/bin/sh

#  - docker build -t docker.pbiernat.dev/nginx-php:$CI_COMMIT_BRANCH .
#  - docker images --format "{{.Repository}}:{{.Tag}}" | grep nginx-php:${CI_COMMIT_BRANCH}


contains() {
    string="$1"
    substring="$2"
    if test "${string#*$substring}" != "$string"
    then
        return 0    # $substring is in $string
    else
        return 1    # $substring is not in $string
    fi
}

branch=$CI_COMMIT_BRANCH
event=$CI_BUILD_EVENT
source_branch=$DRONE_SOURCE_BRANCH

if { contains "$branch" "feature_" && [ "$event" = push ]; } ; then
    echo "BUILD FEATURE: $branch"
    docker build -t docker.pbiernat.dev/nginx-php:$branch .
    return 0
fi

if { [ "$branch" = develop ] && [ "$event" = pull_request ]; } ; then
    echo "BUILD FEATURE(FROM DEV): $source_branch"
    docker build -t docker.pbiernat.dev/nginx-php:$source_branch .
    return 0
fi

if { [ "$branch" = develop ] && [ "$event" = push ] && [ "$step_name" != build_feature ]; } ; then
    echo "BUILD DEV"
    docker build -t docker.pbiernat.dev/nginx-php:dev .
    return 0
fi

